Bug 965295 - freeipmi-1.2.7-1.fc19 is FTBFS on ARM
freeipmi-1.2.7-1.fc19 is FTBFS on ARM
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freeipmi (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ales Ledvinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2013-05-20 16:33 EDT by Peter Robinson
Modified: 2016-09-20 00:33 EDT (History)
4 users (show)

See Also:
Fixed In Version: freeipmi-1.2.7-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-29 14:45:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2013-05-20 16:33:04 EDT
http://arm.koji.fedoraproject.org/koji/buildinfo?buildID=143493

libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../../config -I../../common/miscutil -I../../common/parsecommon -I../../common/portability -I../../libipmidetect -I../../libfreeipmi/include -I../../libfreeipmi/include -D_GNU_SOURCE -D_REENTRANT -D_GNU_SOURCE -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -march=armv7-a -mfpu=vfpv3-d16 -mfloat-abi=hard -c tool-config-file-common.c  -fPIC -DPIC -o .libs/libtoolcommon_la-tool-config-file-common.o
pstdout.c: In function 'pstdout_vprintf':
pstdout.c:764:7: error: wrong type argument to unary exclamation mark
   if (!ap)
       ^
make[2]: *** [libtoolcommon_la-pstdout.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
tool-config-file-common.c:121:1: warning: '_config_file_non_negative_int' defined but not used [-Wunused-function]
 _config_file_non_negative_int (conffile_t cf,
 ^
make[2]: Leaving directory `/builddir/build/BUILD/freeipmi-1.2.7/common/toolcommon'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/freeipmi-1.2.7/common'
make: *** [all-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.NDJ66r (%build)
Comment 1 Peter Robinson 2013-05-20 16:34:17 EDT
1.2.6 has the same failure but 1.2.4 was fine
Comment 2 Fedora Update System 2013-06-03 09:38:14 EDT
freeipmi-1.2.7-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/freeipmi-1.2.7-2.fc19
Comment 3 Fedora Update System 2013-06-04 22:32:37 EDT
Package freeipmi-1.2.7-2.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing freeipmi-1.2.7-2.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-10031/freeipmi-1.2.7-2.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-06-29 14:45:10 EDT
freeipmi-1.2.7-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.